Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Asynch_Write_Dgram_Result_Impl Class Reference

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_Dgram::Result class. More...

`#include <Asynch_IO_Impl.h>`

Inheritance diagram for ACE_Asynch_Write_Dgram_Result_Impl:

[legend]
Collaboration diagram for ACE_Asynch_Write_Dgram_Result_Impl:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Asynch_Write_Dgram_Result_Impl (void)
virtual size_t | bytes_to_write (void) const=0
| The number of bytes which were requested at the start of the asynchronous write. More...
virtual ACE_Message_Block * | message_block (void) const=0
| Message block which contains the sent data. More...
virtual int | flags (void) const=0
| The flags using in the write. More...
virtual ACE_HANDLE | handle (void) const=0
| I/O handle used for writing. More...
## Protected Methods
| ACE_Asynch_Write_Dgram_Result_Impl (void)
| Do-nothing constructor. More...

## Detailed Description

Abstract base class for all the concrete implementation classes that provide different implementations for the ACE_Asynch_Write_Dgram::Result class.

## Constructor & Destructor Documentation

ACE_Asynch_Write_Dgram_Result_Impl::~ACE_Asynch_Write_Dgram_Result_Impl | ( | void |  | ) | `[virtual]`

ACE_Asynch_Write_Dgram_Result_Impl::ACE_Asynch_Write_Dgram_Result_Impl | ( | void |  | ) | `[protected]`

| Do-nothing constructor.

## Member Function Documentation

virtual size_t ACE_Asynch_Write_Dgram_Result_Impl::bytes_to_write | ( | void |  | ) | const`[pure virtual]`

| The number of bytes which were requested at the start of the asynchronous write. Reimplemented in ACE_POSIX_Asynch_Write_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual int ACE_Asynch_Write_Dgram_Result_Impl::flags | ( | void |  | ) | const`[pure virtual]`

| The flags using in the write. Reimplemented in ACE_POSIX_Asynch_Write_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual ACE_HANDLE ACE_Asynch_Write_Dgram_Result_Impl::handle | ( | void |  | ) | const`[pure virtual]`

| I/O handle used for writing. Reimplemented in ACE_POSIX_Asynch_Write_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

virtual ACE_Message_Block* ACE_Asynch_Write_Dgram_Result_Impl::message_block | ( | void |  | ) | const`[pure virtual]`

| Message block which contains the sent data. Reimplemented in ACE_POSIX_Asynch_Write_Dgram_Result, and ACE_WIN32_Asynch_Write_Dgram_Result.

The documentation for this class was generated from the following files:

- Asynch_IO_Impl.h
- Asynch_IO_Impl.cpp